<?php

namespace App\Policies;

use App\Models\NewEventContain;
use App\Models\User;
use Illuminate\Auth\Access\Response;

class NewEventContainPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->hasAnyPermission([
            'create neweventcontain', 'edit neweventcontain', 'view neweventcontain', 'delete neweventcontain'
        ]);
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, NewEventContain $newEventContain): bool
    {
        return $user->hasPermissionTo('view neweventcontain');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->hasPermissionTo('create neweventcontain');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, NewEventContain $newEventContain): bool
    {
        return $user->hasPermissionTo('edit neweventcontain');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, NewEventContain $newEventContain): bool
    {
        return $user->hasPermissionTo('delete neweventcontain');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, NewEventContain $newEventContain): bool
    {
        return $user->hasPermissionTo('restore neweventcontain');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, NewEventContain $newEventContain): bool
    {
        return $user->hasPermissionTo('force delete neweventcontain');
    }
}
